cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

An installation of PTC Creo View is required in order to use this Widget.

Highlighted
Newbie

An installation of PTC Creo View is required in order to use this Widget.

Hi all,

I install Creo View Express 4.1 and ThingWorx 7.1.2-b6. I import the Creo View Widget into ThingWorx. But when I view the mashup, the browser reports me an error: An installation of PTC Creo View is required in order to use this Widget.

How can I solve this problem? Thanks a lot.

7 REPLIES 7

Re: An installation of PTC Creo View is required in order to use this Widget.

Hi Yijun,

I used to use Creo View widget before. As I know, you need to install Creo view on your PC and creo view  plug-in into your browser so that your browser can display 3D image.

Best Regards,

Lily

Re: An installation of PTC Creo View is required in order to use this Widget.

Where can I download the creo view plug-in for my browser?

Re: An installation of PTC Creo View is required in order to use this Widget.

Hi Yijun,

I consult with Creo View engineer, it should be Creo View Clients.

Best Regards,

Lily

Re: An installation of PTC Creo View is required in order to use this Widget.

Hi,

I am also trying to run CreoView Widget with Navigate custom apps .

Really a CreoView (lite) must be installed. This step helps me on the server, however on my client PC this step does not help.

I run apps on Server with InternetExplorer 11. When I use Mozilla firefox, I get the "An installation of PTC Creo View is required in order to use this Widget" error mesage.

So installation of CreoView is mandatory, but not sufficient request.

Premek

Re: An installation of PTC Creo View is required in order to use this Widget.

Hi,

I also try to run apps on Server with IE 11, but it shows me a piece of white. It shows nothing. No error, no warning...  Would you mind to give me some ideas? Thanks a lot.

and I use the Creo View Express, I can see my part.

Re: An installation of PTC Creo View is required in order to use this Widget.

Hi ydai,

Did you find any solution to fix up "shows me a piece of white. It shows nothing. No error, no warning.". Because I also get the same issue you mentioned before. Thanks.

Re: An installation of PTC Creo View is required in order to use this Widget.

Hi ykuo,

If you could found something like following logs in your Windchill MethodServer logs, you can try to add your client host name/IP to wt.auth.trustedHosts in wt.properties file.

 

ERROR [ajp-nio-127.0.0.1-8010-exec-5] wt.httpgw.filter.TrustedAuthFilter - TrustedAuthFilter: Attempt to set effective user to 'Administrator' from untrusted host 'XXX.XXX.XXX.XXX'